version: "3.3"
volumes:
  php-fpm-socket:
  db-store:
services:
  app:
    build: ./infra/docker/php
    env_file: ./env.mariadb.local.env
    volumes:
      - php-fpm-socket:/var/run/php-fpm
      - ./backend:/work/backend

  web:
    build: ./infra/docker/nginx
    ports:
      - 80:80
      - 443:443
    volumes:
      - php-fpm-socket:/var/run/php-fpm
      - ./backend:/work/backend

  db:
    build: ./infra/docker/mysql
    env_file: ./env.mariadb.local.env
    ports:
      - 3307:3306
    volumes:
      - db-store:/var/lib/mysql

  # queue:
  #   build: ./infra/docker/queue
  #   env_file: ./env.mariadb.local.env
  #   stop_signal: SIGTERM
  #   depends_on:
  #     - app
  #   volumes:
  #     - ./backend:/work/backend
    # environment:
    #   - CONNECTION=redis       # Defaults to 'default'
    #   - QUEUE=high,default     # Defaults to 'default'    